<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">&lt;&lt; Image Transforms</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; Image Types and Color Space Conversions</span>

    <br /><br />
    <h3 class="title-part">Image Types and Color Space Conversions</h3>
<ul class="list-chapter"><li><a href="hsv2rgb.html" class="refentry">hsv2rgb</a> &#8212; <span class="refentry-description">Convert a HSV image to the equivalent RGB image.</span></li>





<li><a href="im2bw.html" class="refentry">im2bw</a> &#8212; <span class="refentry-description">Convert image to binary</span></li>





<li><a href="im2double.html" class="refentry">im2double</a> &#8212; <span class="refentry-description">Convert image to double precision</span></li>





<li><a href="im2int16.html" class="refentry">im2int16</a> &#8212; <span class="refentry-description">Convert image to 16-bit signed integers</span></li>





<li><a href="im2int32.html" class="refentry">im2int32</a> &#8212; <span class="refentry-description">Convert image to 32-bit signed integers</span></li>





<li><a href="im2int8.html" class="refentry">im2int8</a> &#8212; <span class="refentry-description">Convert image to 8-bit signed integers</span></li>





<li><a href="im2uint16.html" class="refentry">im2uint16</a> &#8212; <span class="refentry-description">Convert image to 16-bit unsigned integers</span></li>





<li><a href="im2uint8.html" class="refentry">im2uint8</a> &#8212; <span class="refentry-description">Convert image to 8-bit unsigned integers</span></li>





<li><a href="imgraythresh.html" class="refentry">imgraythresh</a> &#8212; <span class="refentry-description">Calculate Otsu&#0039;s Global threshold value</span></li>





<li><a href="imnorm.html" class="refentry">imnorm</a> &#8212; <span class="refentry-description">Normalize input 2-D Image to the range of 0-1 for double, or 0-255 for uint8</span></li>





<li><a href="ind2rgb.html" class="refentry">ind2rgb</a> &#8212; <span class="refentry-description">Convert index image to RGB image</span></li>





<li><a href="mat2gray.html" class="refentry">mat2gray</a> &#8212; <span class="refentry-description">Convert matrix to grayscale image</span></li>





<li><a href="ntsc2rgb.html" class="refentry">ntsc2rgb</a> &#8212; <span class="refentry-description">Convert a NTSC image to the equivalent RGB image.</span></li>





<li><a href="rgb2gray.html" class="refentry">rgb2gray</a> &#8212; <span class="refentry-description">Convert RGB images to gray images</span></li>





<li><a href="rgb2hsv.html" class="refentry">rgb2hsv</a> &#8212; <span class="refentry-description">Convert a RGB image to the equivalent HSV image</span></li>





<li><a href="rgb2ind.html" class="refentry">rgb2ind</a> &#8212; <span class="refentry-description">Convert RGB image to index image</span></li>





<li><a href="rgb2lab.html" class="refentry">rgb2lab</a> &#8212; <span class="refentry-description">Convert from RGB color space to LAB color space</span></li>





<li><a href="rgb2ntsc.html" class="refentry">rgb2ntsc</a> &#8212; <span class="refentry-description">Convert a RGB image to the equivalent NTSC image YIQ.</span></li>





<li><a href="rgb2ycbcr.html" class="refentry">rgb2ycbcr</a> &#8212; <span class="refentry-description">Convert a RGB image to the equivalent YCbCr image.</span></li>





<li><a href="xs2im.html" class="refentry">xs2im</a> &#8212; <span class="refentry-description">Convert graphics to an image matrix.</span></li>





<li><a href="ycbcr2rgb.html" class="refentry">ycbcr2rgb</a> &#8212; <span class="refentry-description">Convert a YCbCr image to the equivalent RGB image.</span></li></ul>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">&lt;&lt; Image Transforms</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
